# OpenListNode Struct Reference

Internal node. More...

`#include <aystar.h>`

## Data Fields
int | g
PathNode | path

## Detailed Description

Internal node.

Note:
  We do not save the h-value, because it is only needed to calculate the f-value. h-value should always be the distance left to the end-tile.

Definition at line 57 of file aystar.h.

The documentation for this struct was generated from the following file:

- src/pathfinder/npf/aystar.h